package classes;

public interface IGraphedElement {
	
	public static final boolean STRETCH_BY_DEFAULT=false;
	void setLocalPeriod(int period);
	int getLocalPeriod();
	
	/**
	 * @return Whether the given points should be stretched over the entire graph
	 * as opposed to repeated once the period is over.
	 */
	boolean isStretching();
	void setStretching(boolean stretch);
}
